apiVersion: kops.k8s.io/v1alpha2
kind: Cluster
metadata:
  creationTimestamp: "2022-09-13T04:27:37Z"
  name: dev.datasaker.io
spec:
  api:
    loadBalancer:
      class: Classic
      type: Public
  authorization:
    rbac: {}
  channel: stable
  cloudProvider: aws
  configBase: s3://clusters.dev.datasaker.io/dev.datasaker.io
  containerRuntime: containerd
  etcdClusters:
  - cpuRequest: 200m
    etcdMembers:
    - encryptedVolume: true
      instanceGroup: master-ap-northeast-2a
      name: a
    - encryptedVolume: true
      instanceGroup: master-ap-northeast-2b
      name: b
    - encryptedVolume: true
      instanceGroup: master-ap-northeast-2c
      name: c
    memoryRequest: 100Mi
    name: main
  - cpuRequest: 100m
    etcdMembers:
    - encryptedVolume: true
      instanceGroup: master-ap-northeast-2a
      name: a
    - encryptedVolume: true
      instanceGroup: master-ap-northeast-2b
      name: b
    - encryptedVolume: true
      instanceGroup: master-ap-northeast-2c
      name: c
    memoryRequest: 100Mi
    name: events
  iam:
    allowContainerRegistry: true
    legacy: false
  kubelet:
    anonymousAuth: false
  kubernetesApiAccess:
  - 0.0.0.0/0
  - ::/0
  kubernetesVersion: 1.23.10
  masterPublicName: api.dev.datasaker.io
  networkCIDR: 172.21.0.0/16
  networkID: vpc-0b6e0b906c678a22f
  networking:
    calico: {}
  nonMasqueradeCIDR: 100.64.0.0/10
  sshAccess:
  - 0.0.0.0/0
  - ::/0
  subnets:
  - cidr: 172.21.8.0/23
    id: subnet-0c875e254456809f7
    name: ap-northeast-2a
    type: Private
    zone: ap-northeast-2a
  - cidr: 172.21.10.0/23
    id: subnet-05672a669943fc12f
    name: ap-northeast-2b
    type: Private
    zone: ap-northeast-2b
  - cidr: 172.21.12.0/23
    id: subnet-0940fd78504acbbde
    name: ap-northeast-2c
    type: Private
    zone: ap-northeast-2c
  - cidr: 172.21.0.0/24
    id: subnet-0de55619bee2411f8
    name: utility-ap-northeast-2a
    type: Utility
    zone: ap-northeast-2a
  - cidr: 172.21.1.0/24
    id: subnet-0a5d787353f874684
    name: utility-ap-northeast-2b
    type: Utility
    zone: ap-northeast-2b
  - cidr: 172.21.2.0/24
    id: subnet-0ee26ffc561efb292
    name: utility-ap-northeast-2c
    type: Utility
    zone: ap-northeast-2c
  topology:
    dns:
      type: Public
    masters: private
    nodes: private

---

apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  creationTimestamp: "2022-09-13T04:32:07Z"
  generation: 1
  labels:
    kops.k8s.io/cluster: dev.datasaker.io
  name: dev-data-a
spec:
  image: ami-0ea5eb4b05645aa8a
  machineType: m5.4xlarge
  manager: CloudGroup
  maxSize: 1
  minSize: 1
  nodeLabels:
    datasaker/group: data
    kops.k8s.io/instancegroup: dev-data-a
  role: Node
  subnets:
  - ap-northeast-2a

---

apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  creationTimestamp: "2022-09-13T04:34:49Z"
  labels:
    kops.k8s.io/cluster: dev.datasaker.io
  name: dev-data-b
spec:
  image: ami-0ea5eb4b05645aa8a
  machineType: m5.4xlarge
  manager: CloudGroup
  maxSize: 1
  minSize: 1
  nodeLabels:
    datasaker/group: data
    kops.k8s.io/instancegroup: dev-data-b
  role: Node
  subnets:
  - ap-northeast-2b

---

apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  creationTimestamp: "2022-09-13T04:36:19Z"
  labels:
    kops.k8s.io/cluster: dev.datasaker.io
  name: dev-data-c
spec:
  image: ami-0ea5eb4b05645aa8a
  machineType: m5.4xlarge
  manager: CloudGroup
  maxSize: 1
  minSize: 1
  nodeLabels:
    datasaker/group: data
    kops.k8s.io/instancegroup: dev-data-c
  role: Node
  subnets:
  - ap-northeast-2c

---

apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  creationTimestamp: "2022-09-13T04:41:13Z"
  labels:
    kops.k8s.io/cluster: dev.datasaker.io
  name: dev-mgmt-a
spec:
  image: ami-0ea5eb4b05645aa8a
  machineType: c5.xlarge
  manager: CloudGroup
  maxSize: 1
  minSize: 1
  nodeLabels:
    datasaker/group: mgmt
    kops.k8s.io/instancegroup: dev-mgmt-a
  role: Node
  subnets:
  - ap-northeast-2a

---

apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  creationTimestamp: "2022-09-13T04:42:21Z"
  labels:
    kops.k8s.io/cluster: dev.datasaker.io
  name: dev-mgmt-b
spec:
  image: ami-0ea5eb4b05645aa8a
  machineType: c5.xlarge
  manager: CloudGroup
  maxSize: 1
  minSize: 1
  nodeLabels:
    datasaker/group: mgmt
    kops.k8s.io/instancegroup: dev-mgmt-b
  role: Node
  subnets:
  - ap-northeast-2b

---

apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  creationTimestamp: "2022-09-13T04:37:18Z"
  labels:
    kops.k8s.io/cluster: dev.datasaker.io
  name: dev-process-a
spec:
  image: ami-0ea5eb4b05645aa8a
  machineType: c5.xlarge
  manager: CloudGroup
  maxSize: 1
  minSize: 1
  nodeLabels:
    datasaker/group: process
    kops.k8s.io/instancegroup: dev-process-a
  role: Node
  subnets:
  - ap-northeast-2a

---

apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  creationTimestamp: "2022-09-13T04:38:00Z"
  labels:
    kops.k8s.io/cluster: dev.datasaker.io
  name: dev-process-b
spec:
  image: ami-0ea5eb4b05645aa8a
  machineType: c5.xlarge
  manager: CloudGroup
  maxSize: 1
  minSize: 1
  nodeLabels:
    datasaker/group: process
    kops.k8s.io/instancegroup: dev-process-b
  role: Node
  subnets:
  - ap-northeast-2a

---

apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  creationTimestamp: "2022-09-13T04:38:31Z"
  labels:
    kops.k8s.io/cluster: dev.datasaker.io
  name: dev-process-c
spec:
  image: ami-0ea5eb4b05645aa8a
  machineType: c5.xlarge
  manager: CloudGroup
  maxSize: 1
  minSize: 1
  nodeLabels:
    datasaker/group: process
    kops.k8s.io/instancegroup: dev-process-c
  role: Node
  subnets:
  - ap-northeast-2a

---

apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  creationTimestamp: "2022-09-13T04:27:37Z"
  labels:
    kops.k8s.io/cluster: dev.datasaker.io
  name: master-ap-northeast-2a
spec:
  image: ami-0ea5eb4b05645aa8a
  instanceMetadata:
    httpPutResponseHopLimit: 3
    httpTokens: required
  machineType: t3.small
  manager: CloudGroup
  maxSize: 1
  minSize: 1
  nodeLabels:
    kops.k8s.io/instancegroup: master-ap-northeast-2a
  role: Master
  rootVolumeSize: 50
  subnets:
  - ap-northeast-2a

---

apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  creationTimestamp: "2022-09-13T04:27:37Z"
  labels:
    kops.k8s.io/cluster: dev.datasaker.io
  name: master-ap-northeast-2b
spec:
  image: ami-0ea5eb4b05645aa8a
  instanceMetadata:
    httpPutResponseHopLimit: 3
    httpTokens: required
  machineType: t3.small
  manager: CloudGroup
  maxSize: 1
  minSize: 1
  nodeLabels:
    kops.k8s.io/instancegroup: master-ap-northeast-2b
  role: Master
  rootVolumeSize: 50
  subnets:
  - ap-northeast-2b

---

apiVersion: kops.k8s.io/v1alpha2
kind: InstanceGroup
metadata:
  creationTimestamp: "2022-09-13T04:27:37Z"
  labels:
    kops.k8s.io/cluster: dev.datasaker.io
  name: master-ap-northeast-2c
spec:
  image: ami-0ea5eb4b05645aa8a
  instanceMetadata:
    httpPutResponseHopLimit: 3
    httpTokens: required
  machineType: t3.small
  manager: CloudGroup
  maxSize: 1
  minSize: 1
  nodeLabels:
    kops.k8s.io/instancegroup: master-ap-northeast-2c
  role: Master
  rootVolumeSize: 50
  subnets:
  - ap-northeast-2c
